/*
 * Copyright 2020-2026 Yuntu Microelectronics Co., Ltd.
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 * 
 * @file vector_table_copy.c
 * @brief 
 * 
 */

#include "Platform_Types.h"
#include "OsIf.h"
#include "YTM32B1ME1_features.h"

static volatile uint32 * const s_vectors[NUMBER_OF_CORES] = FEATURE_INTERRUPT_INT_VECTORS;
extern uint32 IVT_RAM_start[1U];
extern uint32 IVT_start[1U];
extern uint32 IVT_end[1U];

void VectorTableCopy(void)
{
    uint8 coreId = (uint8)OsIf_GetCoreID();
    uint32* ramStart = (uint32*)IVT_RAM_start;
    const uint32* romStart = (const uint32*)IVT_start;
    uint32 size=((uint32)IVT_end-(uint32)IVT_start)/sizeof(uint32);
    (void)s_vectors;

    for (uint32 n = 0; n < size; n++)
    {
        ramStart[n] = romStart[n];
    }
    *s_vectors[coreId] = (uint32)IVT_RAM_start;
}

void DefaultISR(void)
{
   while(1){};
}

#ifndef USING_OS_AUTOSAROS
__attribute__ ((weak)) void NMI_Handler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void HardFault_Handler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void MemManage_Handler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void BusFault_Handler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void UsageFault_Handler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void SVC_Handler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DebugMon_Handler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void PendSV_Handler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void SysTick_Handler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA0_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA1_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA2_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA3_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA4_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA5_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA6_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA7_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA8_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA9_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA10_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA11_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA12_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA13_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA14_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA15_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DMA_Error_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void FPU_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void EFM_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void EFM_Error_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void PCU_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void EFM_Ecc_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void WDG0_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void EWDG0_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void I2C0_Master_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void I2C0_Slave_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void SPI0_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void SPI1_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void SPI2_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void I2C1_Master_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void I2C1_Slave_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void UART0_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved5_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void UART1_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved6_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void UART2_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved7_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved8_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved9_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void ADC0_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void ADC1_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void ACMP0_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved10_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved11_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void EMU0_SB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void EMU0_DB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void RTC_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void RTC_Seconds_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void pTMR0_Ch0_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void pTMR0_Ch1_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void pTMR0_Ch2_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void pTMR0_Ch3_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved12_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved13_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved14_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved15_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved16_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void SCU_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void lpTMR0_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void GPIOA_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void GPIOB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void GPIOC_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void GPIOD_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void GPIOE_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved17_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved18_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved19_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved20_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved21_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved22_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved23_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved24_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved25_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved26_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved27_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved28_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved29_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void EEPROM_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN0_ORed_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN0_Error_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN0_Wake_Up_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN0_ORed_0_15_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN0_ORed_16_31_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN0_ORed_32_47_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN0_ORed_48_63_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN1_ORed_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN1_Error_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN1_Wake_Up_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN1_ORed_0_15_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN1_ORed_16_31_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN1_ORed_32_47_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN1_ORed_48_63_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN2_ORed_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN2_Error_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN2_Wake_Up_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN2_ORed_0_15_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN2_ORed_16_31_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN2_ORed_32_47_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN2_ORed_48_63_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR0_Ch0_Ch1_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR0_Ch2_Ch3_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR0_Ch4_Ch5_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR0_Ch6_Ch7_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR0_Fault_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR0_Ovf_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR1_Ch0_Ch1_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR1_Ch2_Ch3_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR1_Ch4_Ch5_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR1_Ch6_Ch7_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR1_Fault_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR1_Ovf_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR2_Ch0_Ch1_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR2_Ch2_Ch3_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR2_Ch4_Ch5_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR2_Ch6_Ch7_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR2_Fault_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR2_Ovf_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR3_Ch0_Ch1_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR3_Ch2_Ch3_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR3_Ch4_Ch5_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR3_Ch6_Ch7_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR3_Fault_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void eTMR3_Ovf_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved30_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved31_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved32_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved33_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved34_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved35_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved36_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved37_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved38_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved39_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved40_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved41_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved42_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved43_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved44_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved45_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved46_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved47_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved48_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved49_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved50_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved51_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved52_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved53_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved54_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved55_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved56_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved57_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void SENT0_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved58_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved59_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved60_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved61_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void TRNG_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void HCU_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void INTM_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void TMR0_Ch0_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void TMR0_Ch1_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void TMR0_Ch2_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void TMR0_Ch3_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void UART3_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void UART4_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void UART5_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void I2C2_Master_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void I2C2_Slave_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void SPI3_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void SPI4_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void SPI5_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN3_ORed_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN3_Error_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN3_Wake_Up_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN3_ORed_0_15_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN3_ORed_16_31_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN3_ORed_32_47_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CAN3_ORed_48_63_MB_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved62_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved63_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved64_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved65_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved66_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved67_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved68_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved69_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved70_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved71_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved72_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved73_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void WKU_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved74_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved75_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved76_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved77_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved78_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved79_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved80_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved81_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved82_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved83_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved84_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved85_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved86_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved87_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved88_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved89_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved90_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void DEBUG_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void CACHE_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved91_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved92_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved93_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved94_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved95_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved96_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved97_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved98_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved99_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved100_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved101_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void Reserved102_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void MPWM0_Ch0_4_8_12_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void MPWM0_Ch1_5_9_13_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void MPWM0_Ch2_6_10_14_IRQHandler(void) 
{
    DefaultISR();
}
__attribute__ ((weak)) void MPWM0_Ch3_7_11_15_IRQHandler(void) 
{
    DefaultISR();
}
#endif

